import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { DeliveredSMSReport, ModemConfig, ReceivedSMS, SMS } from './models';
export declare class Modem {
    log$: Subject<string>;
    status$: BehaviorSubject<any>;
    private currentTask;
    private taskStack;
    private tasksCounter;
    private port;
    private msPause;
    private initCommands;
    private data$;
    private error$;
    constructor(modemCfg: ModemConfig, errorCallback?: (err: any) => void);
    init(errorCallback?: (err: any) => void): void;
    onReceivedSMS(): Observable<ReceivedSMS>;
    sendSMS({ phoneNumber, text }: SMS): Observable<DeliveredSMSReport>;
    private addTask;
    private generateTaskID;
    private handleError;
    private nextTaskExecute;
    private updateStatus;
}
